Subject: [PATCH 10/11] mfd: twl-core: Fix idle mode signaling for omaps when booted with device tree

From: [email-masked] (Tony Lindgren)
Date: Thu, 17 Apr 2014 08:37:23 -0700

* Lee Jones <[email-masked]> [140417 01:01]:
> > I noticed a regression where the omap sys_clkreq signal will never
> > trigger for omap3 when booted with device tree while it triggers
> > when booted in legacy mode. This means voltage scaling does not
> > do anything when booted with device tree.
> > 
> > Turns out the reason is we fail to initialize the SmartReflex
> > enable bit in twl4030 with the following error:
> > 
> > twl: not initialized
> > 
> > And that happens because we are wrongly tinkering with the twl4030
> > registers in arch/arm/mach-omap2/omap_twl.c before the driver is
> > initialized. Looking at the the SmartReflex bit enable code in
> > omap_twl.c, we need to always set it.
> > 
> > So let's fix the issue by always enabling the twl4030 SmartReflex
> > bit in the drivers/mfd/twl-core.c probe, and drop the related
> > code in omap_twl.c.
> > 
> > Note that we still have some twl4030 tinkering left in omap_twl.c
> > for the twl6030 case, but that's a different patch.
> > 
> > Cc: Kevin Hilman <[email-masked]>
> > Cc: Lee Jones <[email-masked]>
> > Cc: Nishanth Menon <[email-masked]>
> > Cc: Samuel Ortiz <[email-masked]>
> > Cc: Paul Walmsley <[email-masked]>
> > Cc: Tero Kristo <[email-masked]>
> > Signed-off-by: Tony Lindgren <[email-masked]>
> > ---
> >  arch/arm/mach-omap2/omap_twl.c | 60 ------------------------------------------
> >  drivers/mfd/twl-core.c         | 15 +++++++++++
> >  2 files changed, 15 insertions(+), 60 deletions(-)
> 
> Patch looks okay to me, and removes lots of code which is nice to
> see. How do you want to handle this patch? How about if I set up an
> MFD-OMAP immutable branch for us to use leading up to the v3.16 merge
> window?

Yes, that would be good thanks. Can you please set up the immutable
branch against v3.14 for this, that should merge just fine against
v3.15-rc AFAIK.

I have also DT support coming up for drivers/mfd/twl4030-power.c
generic configuration that can then go into the same branch when 
ready.

Regards,

Tony
 
> Acked-by: Lee Jones <[email-masked]>
> 
> -- 
> Lee Jones
> Linaro STMicroelectronics Landing Team Lead
> Linaro.org ? Open source software for ARM SoCs
> Follow Linaro: Facebook | Twitter | Blog